# Send virtual card link POST https://api-sandbox.payabli.com/api/vcard/send-card-link Content-Type: application/json Sends a virtual card link via email to the vendor associated with the `transId`. Reference: https://docs.payabli.com/developers/api-reference/cards/send-vcard-link ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: payabliApi version: 1.0.0 paths: /vcard/send-card-link: post: operationId: send-v-card-link summary: Send virtual card link description: >- Sends a virtual card link via email to the vendor associated with the `transId`. tags: - subpackage_moneyOut parameters: - name: requestToken in: header required: true schema: type: string responses: '200': description: Response with status 200 content: application/json: schema: $ref: '#/components/schemas/type___moneyOutTypes__:OperationResult' '400': description: Bad request/ invalid data content: application/json: schema: description: Any type '401': description: Unauthorized request. content: application/json: schema: description: Any type '500': description: Internal API Error content: application/json: schema: description: Any type '503': description: Database connection error content: application/json: schema: $ref: '#/components/schemas/type_:PayabliApiResponse' requestBody: content: application/json: schema: type: object properties: transId: type: string description: >- The transaction ID of the virtual card payout. The ID is returned as `ReferenceId` in the response when you authorize a payout with POST /MoneyOut/authorize. required: - transId servers: - url: https://api-sandbox.payabli.com/api - url: https://api.payabli.com/api components: schemas: type___moneyOutTypes__:OperationResult: type: object properties: message: type: string description: >- Message describing the result. If the virtual card link was sent successfully, this contains the email address to which the link was sent. success: type: boolean description: Indicates whether the operation was successful. required: - success title: OperationResult type_:IsSuccess: type: boolean description: >- Boolean indicating whether the operation was successful. A `true` value indicates success. A `false` value indicates failure. title: IsSuccess type_:Responsedata: type: object additionalProperties: description: Any type description: The object containing the response data. title: Responsedata type_:ResponseText: type: string description: 'Response text for operation: ''Success'' or ''Declined''.' title: ResponseText type_:PayabliApiResponse: type: object properties: isSuccess: $ref: '#/components/schemas/type_:IsSuccess' responseData: $ref: '#/components/schemas/type_:Responsedata' responseText: $ref: '#/components/schemas/type_:ResponseText' required: - responseText title: PayabliApiResponse securitySchemes: ApiKeyAuth: type: apiKey in: header name: requestToken ``` ## SDK Code Examples ```typescript SendVCardLink import { PayabliClient } from "@payabli/sdk-node"; async function main() { const client = new PayabliClient({ apiKey: "YOUR_API_KEY_HERE", }); await client.moneyOut.sendVCardLink({ transId: "01K33Z6YQZ6GD5QVKZ856MJBSC", }); } main(); ``` ```python SendVCardLink from payabli import payabli client = payabli( api_key="YOUR_API_KEY_HERE", ) client.money_out.send_v_card_link( trans_id="01K33Z6YQZ6GD5QVKZ856MJBSC", ) ``` ```csharp SendVCardLink using PayabliPayabliApi; using System.Threading.Tasks; namespace Usage; public class Example { public async Task Do() { var client = new PayabliPayabliApiClient( apiKey: "YOUR_API_KEY_HERE" ); await client.MoneyOut.SendVCardLinkAsync( new SendVCardLinkRequest { TransId = "01K33Z6YQZ6GD5QVKZ856MJBSC" } ); } } ``` ```go SendVCardLink package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-sandbox.payabli.com/api/vcard/send-card-link" payload := strings.NewReader("{\n \"transId\": \"01K33Z6YQZ6GD5QVKZ856MJBSC\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("requestToken", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby SendVCardLink require 'uri' require 'net/http' url = URI("https://api-sandbox.payabli.com/api/vcard/send-card-link") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["requestToken"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"transId\": \"01K33Z6YQZ6GD5QVKZ856MJBSC\"\n}" response = http.request(request) puts response.read_body ``` ```java SendVCardLink import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-sandbox.payabli.com/api/vcard/send-card-link") .header("requestToken", "") .header("Content-Type", "application/json") .body("{\n \"transId\": \"01K33Z6YQZ6GD5QVKZ856MJBSC\"\n}") .asString(); ``` ```php SendVCardLink request('POST', 'https://api-sandbox.payabli.com/api/vcard/send-card-link', [ 'body' => '{ "transId": "01K33Z6YQZ6GD5QVKZ856MJBSC" }', 'headers' => [ 'Content-Type' => 'application/json', 'requestToken' => '', ], ]); echo $response->getBody(); ``` ```swift SendVCardLink import Foundation let headers = [ "requestToken": "", "Content-Type": "application/json" ] let parameters = ["transId": "01K33Z6YQZ6GD5QVKZ856MJBSC"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/vcard/send-card-link")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```